Subject: Re: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Alan Third <[email-masked]>
Date: Sat, 26 May 2018 19:22:15 +0100

On Sat, May 26, 2018 at 10:02:52AM -0700, Aaron Jensen wrote:
> On Sat, May 26, 2018 at 9:38 AM Alan Third <[email-masked]> wrote:
> > Resizing the font has no effect on the area that you have to click to
> > see this happen, so it’s nothing to do with clicking on the last line
> > of the window, or anything to do with the modeline or the minibuffer,
> > as they change size with the font.
> 
> This isn't the behavior I see. The area is roughly 30px tall when I do:
> 
> (set-face-attribute 'default nil :height 300)
> 
> And roughly 10px tall when I do:
> 
> (set-face-attribute 'default nil :height 100)

Ah yeah. I must have been getting confused. I just seem to be adding
confusion to this thread. Sorry for the noise.

> By the way, are you testing with my patch or without? My patch may not fix
> the ultimate root cause, but I'm not sure if it's controversial. The
> conditions for deciding whether or not to count the mode line should
> probably take into account whether or not there is a mode-line, no?

I’d have thought so, but it works in every other situation without the
patch so I can’t help thinking the patch must change the behaviour
where it previously worked.
-- 
Alan Third